org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.PrecedingSiblingIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.PrecedingSiblingIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Direct Known Subclasses:
  DTMDefaultBaseIterators.TypedPrecedingSiblingIterator

Enclosing class:
  DTMDefaultBaseIterators

    public class DTMDefaultBaseIterators.PrecedingSiblingIterator
    extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns preceding siblings of a given node

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`DTMDefaultBaseIterators.PrecedingSiblingIterator()`

### Method Summary

Methods
`boolean` `isReverse()` True if this iterator has a reversed axis.
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase

`gotoMark, setMark`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, reset, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTMDefaultBaseIterators.PrecedingSiblingIterator

    public DTMDefaultBaseIterators.PrecedingSiblingIterator()

### Method Detail

#### isReverse

    public boolean isReverse()

True if this iterator has a reversed axis.

Specified by:
  `isReverse` in interface `DTMAxisIterator`
Overrides:
  `isReverse` in class `DTMAxisIteratorBase`
Returns:
  true.

#### setStartNode

    public DTMAxisIterator setStartNode(int node)

Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Parameters:
  `node` - Sets the root of the iteration.
Returns:
  A DTMAxisIterator set to the start of the iteration.

#### next

    public int next()

Get the next node in the iteration.

Returns:
  The next node handle in the iteration, or END.